Package org.silverpeas.looks.aurora

## Class LookSettings

- java.lang.Object
- - org.silverpeas.looks.aurora.LookSettings

-     public class LookSettings
      extends Object

  Author:
    Nicolas Eysseric

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LookSettings​(org.silverpeas.core.util.SettingBundle settings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDateFormat()` |
    `String` | `getDefaultHomepageURL()` |
    `String` | `getEventsAppURL()` |
    `String` | `getExtraJavascriptForBanner()` |
    `String` | `getExtraJavascriptForHome()` |
    `String` | `getExtraJavascriptForSpaceHomepage()` |
    `String` | `getHelpURL()` |
    `String` | `getLogo()` |
    `String` | `getNewsImageSize()` |
    `String` | `getNoBookmarksFragmentURL()` |
    `String` | `getPersonalHomepageURL()` |
    `String` | `getSecondaryNewsImageSize()` |
    `String` | `getThirdNewsImageSize()` |
    `boolean` | `isDisplayAppIcons()` |
    `boolean` | `isDisplayBookmarksAreaWhenEmpty()` |
    `boolean` | `isDisplayConnectedUsers()` |
    `boolean` | `isDisplayContextualPDC()` |
    `boolean` | `isDisplayEphemeris()` |
    `boolean` | `isDisplayMegaMenu()` |
    `boolean` | `isDisplayMenuAppIcons()` |
    `boolean` | `isDisplayMenuAppsFirst()` |
    `boolean` | `isDisplayMenuSubElements()` |
    `boolean` | `isDisplayNewsWithCarrousel()` |
    `boolean` | `isDisplayPDCDedicatedFrame()` |
    `boolean` | `isDisplayPDCInNavigationFrame()` |
    `boolean` | `isDisplaySearchOnHome()` |
    `boolean` | `isDisplaySecondaryNewsWithCarrousel()` |
    `boolean` | `isDisplayThirdNewsWithCarrousel()` |
    `boolean` | `isExtraSearchFieldPeriodUsed()` |
    `boolean` | `isExtraSearchFieldSpaceUsed()` |
    `boolean` | `isLabelsInsideSelectOnTaxonomy()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookSettings

          public LookSettings​(org.silverpeas.core.util.SettingBundle settings)

  - ### Method Detail

    - #### getHelpURL

          public String getHelpURL()

    - #### isDisplayMenuSubElements

          public boolean isDisplayMenuSubElements()

    - #### isDisplayMenuAppsFirst

          public boolean isDisplayMenuAppsFirst()

    - #### isDisplayMenuAppIcons

          public boolean isDisplayMenuAppIcons()

    - #### getLogo

          public String getLogo()

    - #### isDisplayConnectedUsers

          public boolean isDisplayConnectedUsers()

    - #### isDisplayEphemeris

          public boolean isDisplayEphemeris()

    - #### isDisplayBookmarksAreaWhenEmpty

          public boolean isDisplayBookmarksAreaWhenEmpty()

    - #### getNoBookmarksFragmentURL

          public String getNoBookmarksFragmentURL()

    - #### isDisplaySearchOnHome

          public boolean isDisplaySearchOnHome()

    - #### getNewsImageSize

          public String getNewsImageSize()

    - #### isDisplayNewsWithCarrousel

          public boolean isDisplayNewsWithCarrousel()

    - #### getEventsAppURL

          public String getEventsAppURL()

    - #### getDefaultHomepageURL

          public String getDefaultHomepageURL()

    - #### getPersonalHomepageURL

          public String getPersonalHomepageURL()

    - #### isDisplayAppIcons

          public boolean isDisplayAppIcons()

    - #### isDisplayPDCInNavigationFrame

          public boolean isDisplayPDCInNavigationFrame()

    - #### isDisplayContextualPDC

          public boolean isDisplayContextualPDC()

    - #### isDisplayPDCDedicatedFrame

          public boolean isDisplayPDCDedicatedFrame()

    - #### isLabelsInsideSelectOnTaxonomy

          public boolean isLabelsInsideSelectOnTaxonomy()

    - #### isDisplayMegaMenu

          public boolean isDisplayMegaMenu()

    - #### getDateFormat

          public String getDateFormat()

    - #### isExtraSearchFieldPeriodUsed

          public boolean isExtraSearchFieldPeriodUsed()

    - #### isExtraSearchFieldSpaceUsed

          public boolean isExtraSearchFieldSpaceUsed()

    - #### getSecondaryNewsImageSize

          public String getSecondaryNewsImageSize()

    - #### isDisplaySecondaryNewsWithCarrousel

          public boolean isDisplaySecondaryNewsWithCarrousel()

    - #### getThirdNewsImageSize

          public String getThirdNewsImageSize()

    - #### isDisplayThirdNewsWithCarrousel

          public boolean isDisplayThirdNewsWithCarrousel()

    - #### getExtraJavascriptForHome

          public String getExtraJavascriptForHome()

    - #### getExtraJavascriptForBanner

          public String getExtraJavascriptForBanner()

    - #### getExtraJavascriptForSpaceHomepage

          public String getExtraJavascriptForSpaceHomepage()